##### 7.7.11.0. makeQsl2

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeQsl2([n]), n an optional int

Return:
  ring

Purpose:
  define the U_q(sl_2) as a factor-ring of a ring V_q(sl_2) modulo the ideal `Qideal`

Note:
  the output consists of a ring, presenting V_q(sl_2) together with the ideal called `Qideal` in this ring
  activate this ring with the `setring` command
  in order to create the U_q(sl_2) from the output, execute the command like `qring Usl2q = Qideal;`
  If n is specified, the quantum parameter q will be specialized at the n-th root of unity

Example:

    LIB "ncalg.lib";
    def A = makeQsl2(3);
    setring A;
    Qideal;
    ==> Qideal[1]=Ke*Kf-1
    qring Usl2q = Qideal;
    Usl2q;
    ==> //   characteristic : 0
    ==> //   1 parameter    : q
    ==> //   minpoly        : (q^2+q+1)
    ==> //   number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    E F Ke Kf
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    FE=E*F+(2/3*q+1/3)*Ke+(-2/3*q-1/3)*Kf
    ==> //    KeE=(-q-1)*E*Ke
    ==> //    KfE=(q)*E*Kf
    ==> //    KeF=(q)*F*Ke
    ==> //    KfF=(-q-1)*F*Kf
    ==> // quotient ring from ideal
    ==> _[1]=Ke*Kf-1

See also: makeQsl3; makeQso3; makeUsl.

User manual for Singular version 4-0-3, 2016, generated by texi2html.